*** ga_IE.orig.aff	Wed Aug 31 16:48:49 2005
--- ga_IE.aff	Fri Sep 30 13:01:38 2005
***************
*** 37,38 ****
--- 37,55 ----
  
+ FOL  
+ LOW  
+ UPP  
+ 
+ MIDWORD	'-
+ 
+ MAP 9
+ MAP a
+ MAP e
+ MAP i
+ MAP o
+ MAP u
+ MAP n
+ MAP c
+ MAP y
+ MAP s
+ 
  PFX S Y 18
***************
*** 556 ****
--- 573,853 ----
  
+ # soundslike mapping from Aspell
+ # Aspell phonetics for Irish, by Kevin Scannell <scannell@slu.edu>
+ # Copyright 2002, 2003 Kevin P. Scannell, distributed under GNU GPL
+ # version 2.0 or the Vim license (attribution by Kevin Scannell, Jan 2012)
+ 
+ SAL followup 0                    # else breaks QU^, e.g.
+ SAL collapse_result 1             # no double letters in resulting strings
+ 
+ SAL ANBHANN-----         *N*      # epenthetic vowel, anbhanna? only, see NBH--
+ SAL ANBHAIN-----         *N*      # epenthetic vowel, anbhainne? only, see NBH--
+ SAL AERGA--              *R       # epenthetic exception, see RG, aerga only
+ SAL AORG-                *R       # epenthetic exception, see RG, [ms]aorg*, etc.
+ SAL AEILG-               *L       # epenthetic exception, Gaeilge* only, see LG 
+ SAL AILBH--              *L*      # epenthetic vowel, [bcs]ailbh* only, see LBH--
+ SAL ALBHD----           *L       # galbhd only, next few are exceptions to ALBH
+ SAL ALBHID-----         *L       # galbhid only (coinnealbhids, etc. b4)
+ SAL ALBHR---             *L       # pobalbhreith, galbhruith, etc. except. to next
+ SAL ALBH--               *L*      # epenthetic vowel
+ SAL ARBHD----           *R       # mtarbhd only, exception to ARBH epenth.
+ SAL ARBHID-----         *R       # mtarbhid only,   "       "   "    " 
+ SAL ARBHUIL-----         *R       # epenth. exception, garbhuille only, cuarbh* b4
+ SAL ARBHUA----           *R       # epenth. exception, eadarbhuas* only
+ SAL ARBHIN----           *R*      # exception to next, marbhintinn* only
+ SAL ARBH(EI)---          *R       # epenthetic exception to next, *tarbhealach, etc.
+ SAL ARBH--               *R*      # epenthetic, garbh, dearbh, etc. - [IU]ARBH b4
+ SAL ATHFH(AEIOU)---   *H       # athfhill,uathfheidhmeach,etc.-exception to next
+ SAL ATH(BCDFGLMNPRST)-   *        # athlas, mionathr, etc. - exception to TH->H
+ SAL ADH                  *        # bladhm, feadhain, tadhall, adhmad, -adh$, etc.
+ SAL AGHI---              *        # exception to AGH, corraghiob only
+ SAL AGHLOIN------        *        #   "       "  ", pleicseaghl- only (not aghloit)
+ SAL AGH                  *        # slaghdn, treaghd, saghas, etc.
+ SAL AOMH(FLNST)---       *        # faomh[ft]-,caomhn*,naomh* only, OMH exception
+ SAL A                    *
+ SAL IRG-                *R       # epenthetic exception, see RG, tirg*, etc.
+ SAL DHU---              *        # pdhuille only, exception to next
+ SAL DH                  *        # dhil, -dh$ only
+ SAL THFH--              *H       # tthfhithleann, gnthfh- only exception to next
+ SAL TH(BCDFGLMNPRST)-   *        # fthscal, gnth*, blthfhleasc, etc.
+ SAL                     *
+ SAL BANBH^$              B*N*V    # epenthetic vowel, see NBH--, banbh, not -arn
+ SAL BHANBH^$             V*N*V    # epenthetic vowel, see NBH--
+ SAL BAINBH^$             B*N*V    # epenthetic vowel, see NBH--, bainbh only
+ SAL BHAINBH^$            V*N*V    # epenthetic vowel, see NBH--
+ SAL BH                   V        # includes bh$, eclipsis of F via collapsing
+ SAL B                    B        # note eclipsis of P via collapsing
+ SAL CHADFA--$          K*TV     # exception to FA$, (brag|do|m)
+ SAL CHEARCH--            K*R*     # epenthetic vowel, chearchaill only
+ SAL CEARCH--             K*R*     # epenthetic vowel, g?cearchaill only
+ SAL CHONF                K*N*V    # epenthetic vowel,no dash=>handles FAI?DH$excepts
+ SAL CONF                 K*N*V    #     "        "    "   "     "       "       "
+ SAL CANBH--              K*N*     # epenthetic vowel, see NBH--, g?canbhs* only
+ SAL CHANBH--             K*N*     # epenthetic vowel, see NBH--, chanbhs* only
+ SAL COLBHA---            K*L*     # epenthetic vowel, see LBH--, g?colbha? only
+ SAL CHOLBHA---           K*L*     # epenthetic vowel, see LBH--, cholbha? only
+ SAL CURF                 K*RV     # exception to F$, g?curf(nna) only
+ SAL CHURF                K*RV     # exception to F$, churf(nna) only
+ SAL CH                   K        # OK
+ SAL C                    K
+ SAL DHORCH--             K*R*     # epenthetic vowel, dorcha root only
+ SAL DORCH--              T*R*     # epenthetic vowel, dorcha root only
+ SAL DHEARF               Y*R*     # epenthetic vowel,init only, no dash=>FA except
+ SAL DEARF                T*R*     # epenthetic vowel,initial only (nd- done b4)
+ SAL DHEIRF-              Y*R*     # epenthetic vowel, initial only
+ SAL DEIRF-               T*R*     # epenthetic vowel, (leas)?deirf* only
+ SAL DHOIL(BF)-           K*L*     # epenthetic,see LBH--,initial only,dhoil(fe|bh)*
+ SAL DOIL(BF)-            T*L*     # epenthetic, see LBH--, "      "  (nd- done b4)
+ SAL DHIFEAR              Y*V*R    # exception to FEAR$, ^dhifear$ only
+ SAL DIFEAR               T*V*R    # exception to FEAR$, ^difear$ only (nd- b4)
+ SAL DH$                  _        # [au]dh+most [io]dh done b4,[e]dh done here
+ SAL DH(AOU)-          K        # athdhchas, budhonn, comhdhil, etc.
+ SAL DH(EI)-            Y        # athdhan, caordhearg, cinedheighilt, etc.
+ SAL DHL(AU)--           K        # comhdhlthaigh, ^dhl-  only
+ SAL DHL(EI)--           Y        # (m|neamh)dhl(istean|eath|thi), ^dhl  only
+ SAL DHR(AOU)--        K        # *dhroim,marbhdhra*,*dhr[u]ma, ^dhr only
+ SAL DHR(EI)--          Y        # *dhreach,feirdhris,*dhracht,*dhreasacht,^dhr
+ SAL D                    T        # note eclipsis of T via collapsing
+ SAL EAFAR--$             *V       # geafar, meafar only, FAR$ exception
+ SAL EOFAR--$             *        # silent verb ending, exception to OFAR$ except!
+ SAL EILBH--              *L*      # epenthetic vowel, see LBH-- exception below
+ SAL EIDH(EI)-            *        # augments IDH rule,eidheann,teidheach,meidhir,etc
+ SAL EOMH(FT)---          *        # leomh[ft]- only, exception to -omh rule
+ SAL E                    *
+ SAL ARBH--              *R       # epenthetic exception, garbh- only
+ SAL ARM-                *R       # epenthetic exception, armh+ tarma root only
+ SAL ARG-                *R       # epenthetic exception, argh+(ln)?largas only
+ SAL IRG-                *R       # epenthetic exception, irgh+ aillirge only
+ SAL IRBH--              *R       # epenthetic except. lirbhreith*, spirbhean only
+ SAL ALBH--              *L       # balbhach only, exception to ALBH
+ SAL AF                 *V*      # af only, exception to F$
+ SAL                     *
+ SAL FHAIRCH--            *R*      # epenthetic vowel, fhairch* only
+ SAL FAIRCH--             V*R*     # epenthetic vowel, (bh)?fairch* only
+ SAL FHOIRF-              *R*      # epenthetic vowel, foirfe root only
+ SAL FOIRF-               V*R*     # epenthetic vowel, initial (bh)?foirf* only
+ SAL FHONNMH--            *N*      # epenthetic vowel, see NMH--, fhonnmhai?r* only
+ SAL FONNMH--             V*N*     #    "         "     "    ", (bh)?fonnmhai?r* only
+ SAL FHOILMH--            *L*      # epenthetic vowel, see LMH--, fhoilmhe only
+ SAL FOILMH--             V*L*     # epenthetic vowel, see LMH--, (bh)?foilmhe only
+ SAL FHOLMH--             *L*      # epenthetic vowel, see LMH--, fholmh* only
+ SAL FOLMH--              V*L*     # epenthetic vowel, see LMH--, (bh)?folmh* only
+ SAL FEADH^$              V*       # exception to verb ending below, eclipsis by luck
+ SAL FEAR^$               V*R      #     "      "   "     "     "        "     "   " 
+ SAL FINN^$               V*N      #     "      "   "     "     "        "     "   " 
+ SAL FE^$                V*       #     "      "   "     "     "        "     "   " 
+ SAL FA^$                V*       #     "      "   "     "     "        "     "   " 
+ SAL F^$                 V*       #     "      "   "     "     "        "     "   " 
+ SAL FAIDH----$           _        # silent 'f' in verb ending
+ SAL FADH---$             _        #   "     "   "   "    "
+ SAL FIDH---$             _        #   "     "   "   "    "
+ SAL FEADH----$           _        #   "     "   "   "    "    
+ SAL FEAR---$             _        #   "     "   "   "    "    
+ SAL FAR--$               _        #   "     "   "   "    "
+ SAL FINN---$             _        #   "     "   "   "    "    
+ SAL FAINN----$           _        #   "     "   "   "    "    
+ SAL F-$                 _        #   "     "   "   "    " 
+ SAL FE--$               _        #   "     "   "   "    " 
+ SAL FA--$               _        #   "     "   "   "    "
+ SAL F-$                 _        #   "     "   "   "    "
+ SAL FAIMI(DS)-----$      _        #   "     "   "   "    "  (no exceptions)
+ SAL FIMI(DS)----$        _        #   "     "   "   "    "  (no exceptions)
+ SAL FAIDS-----$         _        #   "     "   "   "    "  (no exceptions)
+ SAL FIDS----$           _        #   "     "   "   "    "  (no exceptions)
+ SAL FH                   _        # always silent 
+ SAL F                    V
+ SAL GHAINMH--            K*N*     # epenthetic vowel,see NMH--,^ghainmh* only
+ SAL GAINMH--             K*N*     # epenthetic vowel,see NMH--,^gainmh* only, ng- b4
+ SAL GHEALLMH--           Y*L*     # epenthetic vowel,see LMH--,gheallmhar only
+ SAL GEALLMH--            K*L*     # epenthetic vowel,see LMH--,geallmhar only
+ SAL GLAFADH              KL*V*    # exception to FADH$, not glafarnach
+ SAL GHLAFADH             KL*V*    # exception to FADH$ 
+ SAL GLAFAIDH             KL*V*    # exception to FAIDH$, not glafaire
+ SAL GHLAFAIDH            KL*V*    # exception to FAIDH$ 
+ SAL GH$                  _        # [aiu]gh,most ogh done b4,[e]gh all terminal
+ SAL GH(AOU)-          K        # bobghaiste, deoirghs, soghonta, etc.
+ SAL GH(EI)-            Y        # athghin, luasgharaigh, etc.
+ SAL GHL(AOU)--        K        # ardghlrach, folsghlantir, etc.
+ SAL GHL(EI)--           Y        # comhghlas, comhghleaca, scoiltghleann, etc.
+ SAL GHR(AOU)--        K        # trghr, grianghraf, aoisghrpa, etc. 
+ SAL GHR(EI)--          Y        # idirghrasn, breithghreamannach, etc.
+ SAL GHN(AOU)--        K        # deasghnth, neamhghnch, etc.
+ SAL GHN(EI)--          Y        # leorgnomh, aonghnitheach, etc.
+ SAL G                    K        # note eclipsis of C via collapsing
+ SAL H                    H        # between vowels+Faranhat,forhalla,etc.
+ SAL IARG-                *R       # epenthetic exception, iargil, tiargil, etc.
+ SAL IARBH--              *R       # iarbhis, giarbhosca, etc. epenth. exception
+ SAL IDIRBH--             *T*R     # idirbheart, idirbhliain, etc., exception to IRBH
+ SAL IRBHR----           *R       # muirbhrcht* only, exception to IRBH--
+ SAL IRBHU---             *R       # eochairbhuille,litirbhuama only, except. to next
+ SAL IRBH--               *R*      # *seirbhs, tairbh*, toirbh*, etc. epenthetic
+ SAL IF-$                *V       # exception to F$, IF$ done before
+ SAL INMHE(A)----        *N       # exception to next,ainmheasartha,inmheabhr, etc.
+ SAL INMHE---             *N*      # epenthetic vowel, inmhe$ only by previous
+ SAL INNMH--              *N*      # epenthetic vowel, fuinnmh-, coinnmhe only
+ SAL IONMHAG----          *N       # exception to next, mionmhagadh only
+ SAL IONMHA---            *N*      # epenthetic vowel, cionmhar only, see NMH--
+ SAL ITHFH(AEIOU)--- *H       # cithfholc*,crithfhuacht,frith* only- see next
+ SAL ITH(BCDFGLMNPRST)-   *        # aithris, frith*, etc.  exception to TH->H
+ SAL IDH(BCDFGLMNPRST)-   *        # feidhm, traidhfil, oidhre, etc.
+ SAL IGH(CDEFILNRST)-     *        # foighne,caighden,oighrigh,oighear,feighil,etc.
+ SAL I                    *
+ SAL ORM-                *R       # epenthetic exception, dorma, for- only
+ SAL OMH(BCDFGLMNPRST)--- *       # (pr|r|l|sn|gn)omh- only, exceptions to omh-
+ SAL THS-                *        # clthseach only (no excp. for dthreabh, etc.)
+ SAL                     *
+ SAL J                    T        # initial j, diosc-jaca only; bit like slender d
+ SAL K                    K        # karat only
+ SAL LEANBH--             L*N*     # epenthetic vowel, (ucht)?leanbh(aois)?,see NBH--
+ SAL LINBH--              L*N*     # epenthetic vowel, (ucht)?linbh only, see NBH--
+ SAL LMH--                L        # feallmhar, etc., epenth. exception
+ SAL LBH--                L        # uaillbhreas, etc., epenth. exception
+ SAL LGH--                L        # timpeallghearr, etc., epenth. exception
+ SAL L(BGM)-              L*       # epenthetic vowel, see also ULCH--
+ SAL L                    L
+ SAL MORFA--$            M*RV     # exception to silent FA$
+ SAL MBANBH^$             M*N*V    # epenthetic vowel, see NBH--, not -arn
+ SAL MBAINBH^$            M*N*V    # epenthetic vowel, see NBH--
+ SAL MB^                  M        # eclipsis
+ SAL MHARF-               V*R*     # epenthetic vowel
+ SAL MARF-                M*R*     # epenthetic vowel, initial only
+ SAL MHODH                V*       # ODH exception, usually initial
+ SAL MODH                 M*       #  "     "     ,   "       "
+ SAL MH                   V        # includes mh$,/w/,/v/ + see UMH
+ SAL M                    M
+ SAL NAFA--              N*V      # exception to FA$, snafa only
+ SAL NNARB-               N*R      # exception to RB epenthetic, ionnarb* only
+ SAL NNEALBH--            N*L      # exception to ALBH epenthetic, coinnealbh only
+ SAL NDORCH--             N*R*     # epenthetic vowel, see DORCH--
+ SAL NDEARF-              N*R*     # epenthetic vowel, see DEARF-
+ SAL NDEIRF-              N*R*     # epenthetic vowel, see DEIRF-
+ SAL NDOIL(BF)-           N*L*     # epenthetic vowel, see DOIL(BF)-
+ SAL NDIFEAR              N*V*R    # exception to FEAR$, ^ndifear$ only
+ SAL NGAINMH--            N*N*     # epenthetic vowel, see GAINMH--
+ SAL NGEALLMH--           N*L*     # epenthetic vowel, see GEALLMH-
+ SAL NGLAFADH             NL*V*    # exception to FADH$, ^nglafadh$ only
+ SAL NGLAFAIDH            NL*V*    # exception to FAIDH$, ^nglafaidh$ only
+ SAL NCHA(S)----         N*       # epenthetic vowel, *sh?eancha(s)*,ionchas only
+ SAL NCHAIRD------        N        # exception to next, daonchaird* only
+ SAL NCHAI(RS)-----       N*       # epenth. tionchair*, ionchais, *sh?eanchai*, etc.
+ SAL NCHAITHE-------      N*       #     "        "  , sh?eanchaithe, not seanchaite
+ SAL N(DG)^               N        # eclipsis
+ SAL NMH--                N        # exception to N(BM)-, pianmhar, onnmhaire, etc. 
+ SAL NBH--                N        #    "       "   ", aonbheannach, bunbhrat, etc.
+ SAL N(BM)-               N*       # epenthetic vowel, binb, ainm, etc.
+ SAL N                    N
+ SAL OFAR--$              *V       # exception to FAR$, EOFAR done b4
+ SAL OIRCH--              *R*      # epenthetic vowel, t?oirch* only
+ SAL OCALBH--             *K*L     # exception to ALBH - focalbh* only
+ SAL ORBH---             *R*      # epenthetic vowel, forbhs only
+ SAL ONNCHA---            *N*      # epenthetic vowel   fionncha, Donncha only
+ SAL OMHARB-              *R       # exception to epenth. R(BFGM)-, comharba* only
+ SAL OMH(BCDFGLMNPRST)-   *        # comh-, Domhnach, etc. (several excpts b4 this)
+ SAL OTH(BCDGLMNPRS)-     *        # cothrom, baothchaint, gaothscth, etc.
+ SAL ODHAO----            *        # fodhao* only, exception to next
+ SAL ODH(ACLNR)-          *        # bodhrn,modhnaigh,todhcha,fodhla,bodhar etc.
+ SAL OGHRP-----          *        # foghrpa, this and next few are OGH->* excepts.
+ SAL OGHLUA-----          *        # so/doghluaiste* only
+ SAL OGHAF----            *        # doghafa only
+ SAL OGH(ABCDFGLMNPRST)- *        # ogham, foghlaim, boghdir, toghchn, etc.
+ SAL O                    *
+ SAL R(GM)-              *R       # epenthetic exception, (for)?th?rmach, rga,etc.
+ SAL GH                  *        # gha?$ only
+ SAL                     *
+ SAL PH                   V        # OK
+ SAL P                    B
+ SAL QU                   KV       # ^quinn$, ^quarto$ only
+ SAL RANFA--             R*NV     # exception to silent FA$, -chuaranfa only
+ SAL RAFA--              R*V      # exception to silent FA$, all *graf-
+ SAL RRBHA---             R*       # epenthetic vowel, cearrbh* only, no carrbhuama
+ SAL REALMH--             R*L*     # epenthetic vowel, see LMH--, trealmh* only
+ SAL RFEAR^$             R*V*R    # exception to FEAR$, not athrfear!
+ SAL ROMH(FT)---          R*       # promh[ft]- only, exception to -omh rule
+ SAL RFEAN----            R*       # epenthetic vowel, (be|se|ga)irfean only
+ SAL RFIN---$             R*       # epenthetic vowel, same words as previous
+ SAL RBH--                R        # corbhu, aerbhrat, etc., epenth. exception
+ SAL RMH--                R        # iarmhar, lirmheas, etc., epenth. exception
+ SAL RGH--                R        # daorghalar, etc., epenth. exception
+ SAL RBO--                R        # cosarbolg only, epenth. exception
+ SAL R(BGM)-              R*       # epenthetic vowel
+ SAL R                    R
+ SAL SHORCH--             H*R*     # epenthetic vowel, sorcha root only
+ SAL SORCH--              S*R*     # epenthetic vowel, sorcha root only
+ SAL SHOILBH--            H*L*     # epenthetic, see LBH--
+ SAL SOILBH--             S*L*     # epenthetic, see LBH--
+ SAL SH                   H        # OK
+ SAL S                    S
+ SAL TALMH--              T*L*     # epenthetic vowel, see LMH--, talmhaigh only
+ SAL THALMH--             H*L*     # epenthetic vowel, see LMH--,    "       "
+ SAL TINF(EI)-            T*NV     # exception to F(EA|I)DH$, d?tinf(ea|i)dh only
+ SAL THINF(EI)-           H*NV     # exception to F(EA|I)DH$, thinf(ea|i)dh only
+ SAL TAFA-                T*V      # exception to FAINN$, d?tafainn only
+ SAL THAFA-               H*V      # exception to FAINN$, thafainn only
+ SAL TSORCH--             T*R*     # epenthetic vowel, see SORCH--
+ SAL TSOILBH--            T*L*     # epenthetic vowel, see SOILBH--
+ SAL TS^                  T        # prefix-t
+ SAL TH$                  _        # no exceptions
+ SAL TH                   H
+ SAL T                    T
+ SAL UFA(R)--$           *V       # exception to FAR$, brufar/[cr]ufa only
+ SAL UARG-                *R       # epenthetic exception, fuarga*, tuargain only
+ SAL UAIRG-               *R       # epenthetic exception, tuairgn* only
+ SAL UARBH--              *R       # epenthetic exception, fuarbh*, cuarbh* only 
+ SAL UALGA--              *L       # epenthetic exception, dualgas only
+ SAL ULLMH--              *L*      # epenthetic vowel, see LMH--
+ SAL UMH                  *        # cumhacht, umhlaocht, ciumhais, except. to MH->V
+ SAL UTH(BCDGLMNPR)-      *        # sruth*, guthphost only, TH->H exception
+ SAL ULCH--               *L*      # epenth. vowel,ulcha,[tm]ulchn,amhulchach only
+ SAL URCH(A)---          *R*      # epenthetic vowel, urchar, urchall, urchid, etc.
+ SAL UDH                  *        # mudh* only (literary)
+ SAL UGH                  *        # brugh* only (literary)
+ SAL U                    *
+ SAL IRG-                *R       # epenthetic exception, liotirg* only, see RG
+ SAL TH(BCDFLPR)-        *        # lthchleasa, dthracht, etc. - TH->H exception
+ SAL                     *
+ SAL V                    V
+ SAL W                    V        # wigwam only
+ SAL X(AEI)-^           S        # xileafn, etc.
+ SAL X^                   *KS      # x-gha* only
+ SAL X                    KS       # Marxach only
+ SAL Y                    Y        # yy only
+ SAL Z                    S        # z, puzal, etc.
